## org.omg.GIOP
Class MessageHeader_1_1

    java.lang.Object
      |
      +--org.omg.GIOP.MessageHeader_1_1

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class MessageHeader_1_1
extends java.lang.Object
implements IDLEntity

Struct definition : MessageHeader_1_1

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte` `flags` Struct member flags
`Version` `GIOP_version` Struct member GIOP_version
`char[]` `magic` Struct member magic
`int` `message_size` Struct member message_size
`byte` `message_type` Struct member message_type

Constructor Summary
`MessageHeader_1_1()` Default constructor
`MessageHeader_1_1(char[] magic, Version GIOP_version, byte flags, byte message_type, int message_size)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### magic

    public char[] magic

  Struct member magic

### GIOP_version

    public Version GIOP_version

  Struct member GIOP_version

### flags

    public byte flags

  Struct member flags

### message_type

    public byte message_type

  Struct member message_type

### message_size

    public int message_size

  Struct member message_size

Constructor Detail

### MessageHeader_1_1

    public MessageHeader_1_1()

  Default constructor

### MessageHeader_1_1

    public MessageHeader_1_1(char[] magic,
                             Version GIOP_version,
                             byte flags,
                             byte message_type,
                             int message_size)

  Constructor with fields initialization
  Parameters:
    `magic` - magic struct member
    `GIOP_version` - GIOP_version struct member
    `flags` - flags struct member
    `message_type` - message_type struct member
    `message_size` - message_size struct member